> For the complete documentation index, see [llms.txt](https://docs.paytweed.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paytweed.com/developer-tools/tweed-sdks/payments-sdks-v1/tezos-chain-considerations.md).

# Tezos chain considerations

1. In the `abi` parameter of the `NFT_INFO` only the function name is needed without the list of params
2. The `customMintParams` parameter will hold the list of arguments the function in the `abi` gets and translate them to their michelson representation
3. For ex:

```javascript
abi: "buy_nft"
customMintParams: {
    wallet_address: <WALLET_ADDRESS>,
    nft_uri: <NFT_URI>
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paytweed.com/developer-tools/tweed-sdks/payments-sdks-v1/tezos-chain-considerations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
